
%global meadversion 4.2.7
%global namedversion 4.2.7.SP1-redhat-3
%global meadalpha .3.SP1_redhat_3
%global meadrel %{nil}
%global serial 3

%bcond_with c3p0
%bcond_without mead

%global major 4
%global eap -eap6

%define maven_version 4.2.7-3.SP1_redhat_3.ep6.el6

Name:           hibernate%{?major}%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Relational persistence and query service
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source102: hibernate-infinispan-4.2.7.SP1-redhat-3.pom
Source103: hibernate-infinispan-4.2.7.SP1-redhat-3.jar
Source104: hibernate-infinispan-4.2.7.SP1-redhat-3-sources.jar
Source105: hibernate-envers-4.2.7.SP1-redhat-3.pom
Source106: hibernate-envers-4.2.7.SP1-redhat-3.jar
Source107: hibernate-envers-4.2.7.SP1-redhat-3-sources.jar
Source108: hibernate-entitymanager-4.2.7.SP1-redhat-3.pom
Source109: hibernate-entitymanager-4.2.7.SP1-redhat-3.jar
Source110: hibernate-entitymanager-4.2.7.SP1-redhat-3-sources.jar
Source111: hibernate-core-4.2.7.SP1-redhat-3.pom
Source112: hibernate-core-4.2.7.SP1-redhat-3.jar
Source113: hibernate-core-4.2.7.SP1-redhat-3-sources.jar
%endif

URL:            http://www.hibernate.org/
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/hibernate-orm%{?eap}-%{namedversion}-%{release}-root

%description
Hibernate is a powerful, ultra-high performance object/relational
persistence and query service for Java. Hibernate lets you develop
persistent objects following common Java idiom - including
association, inheritance, polymorphism, composition and the Java
collections framework. Extremely  fine-grained, richly typed object
models are  possible. The Hibernate Query Language, designed as a
"minimal" object-oriented extension to SQL, provides an elegant
bridge between the object and  relational worlds. Hibernate is now
the most popular ORM solution for Java.

%package -n hibernate%{?major}-core%{?eap}
Summary:        Hibernate Core
Group:          Development/Java

Provides:       hibernate-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-core%{?eap}
Hibernate Core module.

%package -n hibernate%{?major}-c3p0%{?eap}
Summary:        Hibernate C3p0
Group:          Development/Java

Provides:       hibernate-c3p0%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-c3p0%{?eap}
Hibernate C3p0 module.

%package -n hibernate%{?major}-entitymanager%{?eap}
Summary:        Hibernate EntityManager
Group:          Development/Java

Provides:       hibernate-entitymanager%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-entitymanager%{?eap}
Hibernate EntityManager module.

%package -n hibernate%{?major}-envers%{?eap}
Summary:        Hibernate Envers
Group:          Development/Java

Provides:       hibernate-envers%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-entitymanager%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-envers%{?eap}
Hibernate Envers module.

%package -n hibernate%{?major}-infinispan%{?eap}
Summary:        Hibernate Infinispan
Group:          Development/Java

Provides:       hibernate-infinispan%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-infinispan%{?eap}
Hibernate Infinispan module.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-core-%{namedversion}-sources.jar
%if %with c3p0
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-envers-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-envers-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-infinispan-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-infinispan-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n hibernate%{?major}-core%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-core-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-core.jar
%{_javadir}/%{name}/hibernate-core-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-core-sources.jar

%if %with c3p0
%files -n hibernate%{?major}-c3p0%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-c3p0.jar
%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-c3p0-sources.jar
%endif

%files -n hibernate%{?major}-entitymanager%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-entitymanager.jar
%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-entitymanager-sources.jar

%files -n hibernate%{?major}-envers%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-envers-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-envers.jar
%{_javadir}/%{name}/hibernate-envers-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-envers-sources.jar

%files -n hibernate%{?major}-infinispan%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-infinispan.jar
%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-infinispan-sources.jar

%changelog
* Mon Nov 11 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-3.3.SP1_redhat_3%{nil}
- Rewrap hibernate4 built by pgier

* Thu Nov 07 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-2.2.SP1_redhat_2%{nil}
Wrap new hibernate4 build

* Tue Sep 03 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-3.7.SP1_redhat_1%{nil}
- update for 4.2.5.Final

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-2.7.SP1_redhat_1%{nil}
- change suffix macro name

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-2.7.SP1_redhat_1%{nil}
- fix package names
- add minimal dependencies between subpackages

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-1
- release
